Difference between revisions of "Draft ShapeString/tr"

From FreeCAD Documentation
Jump to: navigation, search
Line 59: Line 59:
 
{{Emphasis|Ayrıca bkz.:}} [[Draft API/tr|Taslak API]] ve [[FreeCAD Scripting Basics/tr|FreeCAD Betik esasları]].
 
{{Emphasis|Ayrıca bkz.:}} [[Draft API/tr|Taslak API]] ve [[FreeCAD Scripting Basics/tr|FreeCAD Betik esasları]].
  
<div class="mw-translate-fuzzy">
 
 
Şekil dizesi aracı, aşağıdaki işlevi kullanarak [[macros/tr|makrolar]] ve [[Python/tr|Python]] konsolundan kullanılabilir:
 
Şekil dizesi aracı, aşağıdaki işlevi kullanarak [[macros/tr|makrolar]] ve [[Python/tr|Python]] konsolundan kullanılabilir:
</div>
 
 
{{Code|code=
 
{{Code|code=
 
ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)
 
ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)

Revision as of 23:48, 25 January 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft ShapeString.svg Şekil dizesi

Menü konumu
Taslak → Şekil dizesi
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
S S
Versiyonda tanıtıldı
0.14
Ayrıca bkz
Metin, Parça çıkarma


Tanım

Şekil dizesi aracı, bir metin dizesini temsil eden bir bileşik şekil ekler. Metin yüksekliği, ara boşluk ve yazı tipi belirtilebilir. Ortaya çıkan şekil, 3D harfler oluşturmak için Parça çıkarma aracıyla kullanılabilir.

Kapalı bir şekil olmadan daha basit bir metin elemanı eklemek için Draft Text/trTaslak Metin kullanın. Bir yönlendirici ve bir ok içeren bir metin etiketi oluşturmak için Taslak Etiket kullanın.

Draft ShapeString Example400.png

Şekil dizesini konumlandırmak için tek nokta gerekli


Nasıl Kullanılır

  1. Draft ShapeString16.png Taslak Şekil dizesi düğmesine basın veya S ardından S tuşlarına basın.
  2. 3D görünümünde bir noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın.
  3. İstediğiniz metni giriniz ve Enter tuşuna basınız.
  4. İstediğiniz bedeni giriniz ve Enter tuşuna basınız.
# İstediğiniz izlemeyi giriniz ve  Enter tuşuna basınız. 
  1. Görüntülenen yazı tipi dosyasını kabul etmek için Enter tuşuna veya bir yazı tipi dosyası seçmek için ... tuşuna basın.

SSFontSelect.png

Metin, boyut, izleme ve yazı tipi, oluşturulduktan sonra, şekil özellikleri değiştirilebilir.

Varsayılan yazı tipi dosyasını Taslak Seçenekler altında, Texts and dimension sekmesinde ayarlayın. Desteklenen fontlar arasında TrueType (.ttf), OpenType (.otf) ve Tip 1 (.pfb) bulunur.

Sınırlamalar

  • Çok küçük metin yükseklikleri, ölçeklemede ayrıntı kaybı nedeniyle deforme karakter şekillerine neden olabilir.
  • Mevcut sürüm, soldan sağa yazma ile sınırlıdır.
  • Dairesel biçimde düzenlenmiş metin oluşturmak için FCCircularTextButtom.png Dairesel Metin makrosunu kullanın.

Seçenekler

  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı eklemek istediğiniz değerlere sahipseniz Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Geçerli komutu iptal etmek için Esc veya Close düğmesine basınız.

Özellikler

  • Data Position: bileşik şeklin taban noktasının konumunu belirtir.
  • Data Angle: şeklin taban çizgisinin dönüşünü belirtir.
  • Data Axis: döndürme için kullanılacak ekseni belirtir.
  • Data String: görüntülenecek metin dizesini belirtir; Taslak Metin aracından farklı olarak, Taslak Şekil dizesi yalnızca tek bir satır görüntüleyebilir.
  • Data Size: harflerin genel yüksekliğini belirtir.
  • Data Tracking: dizedeki karakterler arası ek boşluğu belirtir.
  • Data Font File: dizeyi çizmek için kullanılan font dosyasının tam yolunu belirtir.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Şekil dizesi aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)
  • Belirtilen String öğesini kullanarak bir ShapeString bileşik şekli oluşturur.
  • FontFile zorunludur ve desteklenen bir font dosyasının tam yolu olmalıdır
  • Size , elde edilen metnin milimetre cinsinden yüksekliğidir.
  • Tracking milimetre cinsinden ek karakterler arası boşluktur

The placement of the ShapeString can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Örnek:

import FreeCAD, Draft

font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
font2 = "/usr/share/fonts/truetype/dejavu/DejaVuSerif.ttf"
font3 = "/usr/share/fonts/truetype/freefont/FreeSerifItalic.ttf"

S1 = Draft.makeShapeString("This is a sample text", font1, 200)

S2 = Draft.makeShapeString("Inclined text", font2, 200, 10)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(-1000, 500, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 45))
S2.Placement = place2

S3 = Draft.makeShapeString("Upside-down text", font3, 200, 10)
S3.Placement.Base = FreeCAD.Vector(0, -1000, 0)
S3.Placement.Rotation = FreeCAD.Rotation(ZAxis, 180)